networks:
  keydb:

services:
  heyform:
    image: heyform/community-edition:latest
    restart: always
    volumes:
      # Persist uploaded images
      - ./assets:/app/static/upload
    depends_on:
      - mongo
      - redis
    ports:
      - '3003:8000'
    environment:
      APP_HOMEPAGE_URL: https://forms.uphiva.com
      APP_DISABLE_REGISTRATION: false
      VERIFY_USER_EMAIL: true
      SESSION_KEY: key1
      FORM_ENCRYPTION_KEY: key2
      MONGO_URI: 'mongodb://heyform_user:QyXH3AmSW6NX@mongo:27017/heyform'
      REDIS_HOST: redis
      REDIS_PORT: 6379
      SMTP_FROM: 'hi@forms.uphiva.com'
      SMTP_HOST: 'server2.uphiva.com'
      SMTP_PORT: 587
      SMTP_USER: 'hi@forms.uphiva.com'
      SMTP_SECURE: false
      SMTP_PASSWORD: 'e5BNmab0kN5gbbXIWP'
      SMTP_IGNORE_CERT: true
      INVITE_CODE_EXPIRE_DAYS: 7
      GOOGLE_LOGIN_CLIENT_ID: 33283107051-aj74jeftr5j63a14dbrkk8un31iji3bl.apps.googleusercontent.com
      GOOGLE_LOGIN_CLIENT_SECRET: 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
      #STRIPE_CONNECT_CLIENT_ID: 
      STRIPE_WEBHOOK_SECRET_KEY: whsec_a04W2jd4S7B5afGl8AqDKjLOw3T4FL6u
      STRIPE_PUBLISHABLE_KEY: pk_live_GXJ8Vor4jMRb1MKXq83zCnwl
      STRIPE_SECRET_KEY: sk_live_E2ZwUTubwtQ8JEyAEdlbI2z9


    networks:
      - keydb

  mongo:
    image: percona/percona-server-mongodb:4.4
    restart: always
    volumes:
      # Persist MongoDB data
      - mongodb_data:/data/db
    networks:
      - keydb

  redis:
    image: redis:latest
    restart: always
    volumes:
        - redis_data:/data
    networks:
    - keydb


volumes:
  mongodb_data:
  redis_data:
